Sign inGet started

Search contact by identifier

POST
/workspaces/{workspaceId}/contacts/search
Search for contacts
Treść żądania
identifier
object
wymagane
Pokaż parametry podrzędne
identifier.key
string
wymagane
identifier.value
string
wymagane
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.accountIds
array of string
The list of account ids for the contact.
results.attributes
object
A map of key-value pairs, where the values are boolean, number, or string, or a non-empty array of those, or null
results.companyRefs
array of string
The list of company references for the contact.
results.computedDisplayName
string
The computed display name for the contact. It can be derived, in the following order if available, from the displayName attribute, the firstName attribute, the emailaddress identifier, or the phonenumber identifier.
results.createdAt
string
wymagane
results.featuredIdentifiers
array of object
The list of identifiers for the contact.
Pokaż atrybuty podrzędne
results.featuredIdentifiers.key
string
wymagane
The identifier key. This can be from your custom identifier key or one of the built-in keys.
results.featuredIdentifiers.value
string
wymagane
The identifier value. This represents the actual value for the identifier.
results.id
string
wymagane
The unique identifier for the contact.
results.identifierCount
integer
The number of identifiers for the contact.
results.isAnonymous
boolean
Whether the contact is anonymous. A contact is anonymous if it has no identifiers, or only has visitorid identifiers.
results.listIds
array of string
The list of list ids for the contact.
results.updatedAt
string
wymagane
results.workspaceId
string
Your workspace identifier.
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/contacts/search' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Przykład kodu
curl -X GET "https://api.bird.com/workspaces/7d73f762-e08f-4e1f-a6fd-4d69d8cf119f/contacts/search" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcde" \
-d '{
  "identifier": {
    "key": "emailaddress",
    "value": "contacts@bird.com"
  }
}'